#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x98,0x8C,0x9C,0x95,0x67,0xDF,0x30,0x83,0x74,0x86,0x06,0xC5,
		0xD3,0x05,0x9E,0x9B,0xD3,0xA7,0x2A,0x11,0x81,0xAA,0xB6,0xA7,
		0x6A,0x63,0xB8,0xEC,0x9C,0x91,0xC2,0xB5,0x01,0x7E,0xF3,0x39,
		0x33,0x6E,0xEB,0xE2,0x88,0x47,0x92,0x2F,0xFA,0x39,0x0D,0xFF,
		0x58,0xFD,0x20,0xBD,0x97,0x86,0x77,0x08,0xB0,0x20,0x95,0x90,
		0x69,0x03,0x0B,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
